%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname sexplib

Name:           ocaml-%{oname}
Epoch:          2
Version:        0.17.0
Release:        %mkrel 1
Summary:        OCaml library for converting OCaml values to S-expressions
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/sexplib
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-num-devel
BuildRequires:  ocaml-parsexp-devel >= 0.17
BuildRequires:  ocaml-sexplib0-devel >= 0.17

%rename ocaml-sexplib310

%description
This library contains functionality for parsing and pretty-printing
S-expressions. In addition to that it contains an extremely useful
preprocessing module for Camlp4, which can be used to automatically
generate code from type definitions for efficiently converting
OCaml-values to S-expressions and vice versa. In combination with the
parsing and pretty-printing functionality this frees users from having
to write their own I/O-routines for datastructures they
define. Possible errors during automatic conversions from
S-expressions to OCaml-values are reported in a very human-readable
way. Another module in the library allows you to extract and replace
sub-expressions in S-expressions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-num-devel%{?_isa}
Requires:       ocaml-parsexp-devel%{?_isa}
Requires:       ocaml-sexplib0-devel%{?_isa}

%rename ocaml-sexplib310-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n sexplib-%{version}

%build
%dune_build

%install
%dune_install

%files -f .ofiles
%doc CHANGES.md README.org
%license COPYRIGHT.txt LICENSE.md LICENSE-Tywith.txt THIRD-PARTY.txt

%files devel -f .ofiles-devel


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 2:0.17.0-1.mga10
+ Revision: 2193603
- new version: 0.17.0

* Sun Oct 09 2022 pterjan <pterjan> 2:0.15.1-1.mga9
+ Revision: 1895900
- Update to 0.15.1

* Thu May 19 2022 pterjan <pterjan> 2:0.15.0-2.mga9
+ Revision: 1859240
- Rebuild for OCaml 4.14

* Mon May 09 2022 pterjan <pterjan> 2:0.15.0-1.mga9
+ Revision: 1857211
- Update to 0.15.0

* Tue Apr 05 2022 umeabot <umeabot> 2:0.14.0-7.mga9
+ Revision: 1845147
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 2:0.14.0-6.mga9
+ Revision: 1751046
- Rebuild for ocaml 4.13.1

* Thu Mar 04 2021 tv <tv> 2:0.14.0-1.mga9
+ Revision: 1698378
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 2:0.13.0-4.mga8
+ Revision: 1670733
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 2:0.13.0-3.mga8
+ Revision: 1551748
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 2:0.13.0-2.mga8
+ Revision: 1543657
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 2:0.13.0-1.mga8
+ Revision: 1482090
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 2:0.11.0-1.mga7
+ Revision: 1324485
- Add BuildRequires
- Update to 0.11.0

* Tue Oct 23 2018 tv <tv> 2:0.10.0-5.mga7
+ Revision: 1324196
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 2:0.10.0-4.mga7
+ Revision: 1299927
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 2:0.10.0-3.mga7
+ Revision: 1242042
- rebuild against current ocaml stack
- enable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 2:0.10.0-2.mga7
+ Revision: 1193011
- Fix files in wrong subpackage

* Sat Jan 13 2018 pterjan <pterjan> 2:0.10.0-1.mga7
+ Revision: 1192870
- Update to v0.10.0

* Fri Dec 29 2017 tv <tv> 1:7.0.5-2.mga7
+ Revision: 1186923
- BR ocaml-num-devel
- fix deps
- new release (use epoch)
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 113.24.00-3.mga6
+ Revision: 1069803
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 1056440
- Rebuild for fix in ocaml

* Tue Feb 23 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 977415
- Update to 113.24.00

* Wed Feb 17 2016 umeabot <umeabot> 109.20.00-6.mga6
+ Revision: 963897
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.20.00-5.mga5
+ Revision: 743495
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.20.00-4.mga5
+ Revision: 683103
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.20.00-3.mga4
+ Revision: 534723
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 109.20.00-2.mga4
+ Revision: 478631
- rebuild for new ocaml
+ blue_prawn <blue_prawn>
- removed this detail that is hard to maintain over time

* Sat Jun 01 2013 malo <malo> 109.20.00-1.mga4
+ Revision: 434003
- update to 109.20.00

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361605
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319752
- constrain the set of libs from janest to be the same version
- updated to last version 108.07.01

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301870
- build requires ocaml-compiler-libs
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300194
- updated to last version 108.07.00
- updated to last version 108.07.00
- Warning: I was unable to build the doc (TODO: fix this!)
- new rpm group for ocaml

* Wed Jul 25 2012 malo <malo> 108.00.02-2.mga3
+ Revision: 274246
- add missing %%rename for -devel package to have a correct upgrade path

* Wed Jul 25 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274209
- update to 108.00.02 (new upstream) after import from Mandriva
- spec clean-up after import from Mandriva
- imported package ocaml-sexplib


* Fri Mar 26 2010 Florent Monnier <blue_prawn@mandriva.org> 4.2.17-1mdv2010.1
+ Revision: 527572
- updated to version 4.2.17

* Tue Sep 22 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.15-2mdv2010.0
+ Revision: 447089
- rebuild

* Mon Sep 21 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.15-1mdv2010.0
+ Revision: 446942
- new version
- rebuild
- rebuild
- new version

* Sat Sep 12 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.12-2mdv2010.0
+ Revision: 438544
- added Requires: ocaml-type-conv
- install some sample files

* Thu Aug 06 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.12-1mdv2010.0
+ Revision: 410923
- updated version

* Tue Jul 28 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.11-1mdv2010.0
+ Revision: 401368
- updated version

* Mon Jun 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.2.10-2mdv2010.0
+ Revision: 390538
- rebuild

* Sat May 23 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.10-1mdv2010.0
+ Revision: 379084
- updated version
- updated version
- The initial RPM release was made from the fedora rpm .spec file (revision 1.4) by Richard W.M. Jones

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org> 4.2.2-1mdv2009.1
+ Revision: 326265
- import ocaml-sexplib


* Sat Dec 20 2008 Florent Monnier <fmonnier@linux-nantes.org> 4.2.2-1mdv
- Initial RPM release made from the fedora rpm .spec file (revision 1.4) by Richard W.M. Jones
# found there: http://cvs.fedoraproject.org/viewvc/devel/ocaml-sexplib/
# taken spec file rev 1.4 and patch rev 1.1
